corda / net.corda.core.crypto / X509Utilities / loadCertificateFromKeyStore

# loadCertificateFromKeyStore

`fun loadCertificateFromKeyStore(keyStoreFilePath: Path, storePassword: String, alias: String): X509Certificate`

Extract public X509 certificate from a KeyStore file assuming storage alias is know

### Parameters

`keyStoreFilePath` - Path to load KeyStore from

`storePassword` - Password to unlock the KeyStore

`alias` - The name to lookup the Key and Certificate chain from

Return
The X509Certificate found in the KeyStore under the specified alias